/**
   This file builds a nested model out of two copies of SimpleModel2
   (so there are four copies of SimpleModel).

   You should draw a graph of the hierarchical (nested)
   structure of an instance of this model.
*/
import java.awt.Color;

public class SimpleModel4 extends Model
{
   public SimpleModel4()
   {
      super();

      Model m1 = new SimpleModel2(Color.red, Color.black);
      Model m2 = new SimpleModel2(Color.green, Color.blue);

      m1.modelTranslate(-2.0, -2.0, 0.0);

      m2.modelTranslate(2.0, 2.0, 0.0);
      m2.modelRotate(180.0, 0.0, 0.0, 1.0);

      this.addSubModel(m1);
      this.addSubModel(m2);
   }
}